name: dev
type: sandbox
cloud: demo-aws
lifecycle:
  stopped: false
spec:
  deploy:
    provision:
      source:
        git:
          repository-ref: sep-six
          path: terraform/aws
          branch: master
      type: terraform
      variables:
        - name: image
          imageRef: registry.gitlab.com/cloud-control-projects1/06-september-version-2/dev/sep-six
        - name: september-six-project_db_password
          imageRef: registry.gitlab.com/cloud-control-projects1/06-september-version-2/dev/sep-six
        - name: name
          value: september-six-project
        - name: vpc_cidr_block
          value: 10.0.0.0/16
        - name: use_private_subnets
          value: false
        - name: azs_count
          value: 2.0
        - name: instance_type
          value: t2.medium
        - name: region
          value: us-east-2
        - name: ports
          value:
            [ 8080.0 ]
        - name: enable_logging
          value: true
        - name: delete_logs_on_terminate
          value: false
        - name: logs_retention
          value: 30.0
        - name: september-six-project_db_name
          value: september-six-project
        - name: september-six-project_db_engine
          value: postgres
        - name: september-six-project_db_engine_version
          value: 15.3
        - name: september-six-project_db_instance_class
          value: db.t3.small
        - name: september-six-project_db_storage
          value: 10.0
        - name: september-six-project_db_user
          value: root
        - name: september-six-project_db_random_password
          value: true
        - name: september-six-project_db_multi_az
          value: false
images:
  - name: registry.gitlab.com/cloud-control-projects1/06-september-version-2/dev/sep-six
    tag: latest
  - name: registry.gitlab.com/cloud-control-projects1/06-september-version-2/dev/sep-six
    tag: latest
